[tool.poetry]
name = "s3streamer"
version = "2024.1.0.0"
description = "Stream files to AWS S3 using multipart upload."
readme = "README.rst"
authors = ["Ahmad Ferdaus Abd Razak <ahmad.ferdaus.abd.razak@ni.com>"]
license = "GPL-2.0-only"
repository = "https://gitlab.com/fer1035_python/modules/pypi-s3streamer"
keywords = ["S3", "AWS", "API", "multipart", "upload"]

[tool.poetry.dependencies]
python = "^3.6"
requests = "^2.25.1"

[tool.poetry.dev-dependencies]
pytest = "^5.2"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
